Xerces-C++ 3.2.5

Public Member Functions | Protected Member Functions | List of all members
XMLFormatTarget Class Referenceabstract

`#include <xercesc/framework/XMLFormatter.hpp>`

Inheritance diagram for XMLFormatTarget:

## Public Member Functions
virtual | ~XMLFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)=0
virtual void | flush ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Member Functions
| XMLFormatTarget ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ ~XMLFormatTarget()

virtual XMLFormatTarget::~XMLFormatTarget | ( |  | ) |
| virtual

## ◆ XMLFormatTarget()

XMLFormatTarget::XMLFormatTarget | ( |  | ) |
| protected

## Member Function Documentation

## ◆ flush()

virtual void XMLFormatTarget::flush | ( |  | ) |
| virtual

Reimplemented in LocalFileFormatTarget, and StdOutFormatTarget.

## ◆ writeChars()

virtual void XMLFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter
| ) |  |
| pure virtual

Implemented in LocalFileFormatTarget, MemBufFormatTarget, and StdOutFormatTarget.

The documentation for this class was generated from the following file:

- XMLFormatter.hpp